const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v4_f = z.y * z.y;
    v4_13 = z.z * z.z # bp+13;
    v4_17 = v4_13 + v4_f # bp+17;
    v4_21 = 2 * sqrtl(v4_17) * z.x / v4_17 # bp+21;
    v2_31 = fabsl((v4_f - v4_13) * v4_21) # bp+31;
    *z.y = fabs(j.y) - v2_31;
    *z.x = z.x * z.x - v4_17 + j.x;
    v2_45 = fabsl(2 * v4_21 * z.y * z.z) # bp+45;
    *z.z = fabs(j.z) - v2_45;
    return z.x;


	}